## syslog-ng 2.1.4

=== debian/changelog ===
syslog-ng (2.1.4) syslogng21; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Tue, 17 Mar 2009 13:40:08 +0100

Local variables:
mode: debian-changelog
End:
