## syslog-ng 3.0.4

=== debian/changelog ===
syslog-ng (3.0.4) syslogng30; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Wed, 05 Aug 2009 19:32:25 +0200

Local variables:
mode: debian-changelog
End:
