## syslog-ng 3.0.6

=== debian/changelog ===
syslog-ng (3.0.6) syslogng30; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Sun, 11 Apr 2010 10:55:42 +0200

Local variables:
mode: debian-changelog
End:
