## syslog-ng 3.0.8

=== debian/changelog ===
syslog-ng (3.0.8) syslogng30; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Fri, 09 Jul 2010 10:26:24 +0200

Local variables:
mode: debian-changelog
End:
