## syslog-ng 3.1.2

=== debian/changelog ===
syslog-ng (3.1.2-1) unstable; urgency=low

  * New upstream release. 
  * Update to Standards-Version 3.9.1 .
  * Build depend on libcap-dev to add capability support on Linux archs.
  * Disable statistics logging (closes: #586749) and restore logging to
    /var/log/syslog .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 04 Aug 2010 17:17:51 +0000

syslog-ng (3.1.1-3) unstable; urgency=low

  * Update initscript not to fail if syslog-ng is already running or stopped.
  * Don't just enable SSL support, but make it really built.
  * Don't leave files behind on remove and purge.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 May 2010 07:38:34 +0000

syslog-ng (3.1.1-2) unstable; urgency=low

  * Add missing messages filter and add rotate of error log (closes: #579620).
  * Enable SSL support.
  * Update debian/copyright and add OpenSSL exception.
  * Enable support for spoofed source addresses and for TCP wrappers.
  * Suggest libdbd-mysql, libdbd-pgsql and libdbd-sqlite3 for SQL logging
    (closes: 582948).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 23 May 2010 09:41:25 +0000

syslog-ng (3.1.1-1) unstable; urgency=low

  * New upstream release. 
  * Correct program_override for kernel messages (closes: #576550).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 17 Apr 2010 10:35:50 +0000

syslog-ng (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Fix path of syslog logfile (closes: #575722) and use tty10 instead of
    vc/10 to log on console.
  * Provide syslog-ng in initscript (closes: #575723).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 28 Mar 2010 19:47:36 +0000

syslog-ng (3.0.5-3) unstable; urgency=low

  * Correct log socket path on kFreeBSD (closes: #574781).
  * Clean up packaging a bit, correct watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 21 Mar 2010 19:49:48 +0000

syslog-ng (3.0.5-2) unstable; urgency=low

  * Updated configuration to be 3.0 compilant (closes: #574496) and use
    source, destination and filter prefixes in their names.
  * Update logcheck ignore file (closes: #499526), thanks to Gábor Gombás.
  * Version 3.0 is available in Sid now (closes: #556941).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 19 Mar 2010 17:09:49 +0000

syslog-ng (3.0.5-1) unstable; urgency=low

  * New upstream release, new maintainer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 14 Mar 2010 12:57:49 +0000

syslog-ng (3.0.1-1) experimental; urgency=low

  * New upstream version

 -- SZALAY Attila <sasa@debian.org>  Mon, 23 Feb 2009 20:47:41 +0100

syslog-ng (2.0.9-4.1) unstable; urgency=high

  * Non-maintainer upload; high priority due to the following security fix.
  * Add chdir() before chroot(), and exit if either fails. (Closes: #505791)
  * Fix typo in postrm. (Closes: #505797)
  * Fix path to DocBook XML DTD. (Closes: #477223)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 23 Nov 2008 20:26:06 +0000

syslog-ng (2.0.9-4) unstable; urgency=low

  * Fixed init script to check /usr/sbin/syslog-ng instead of /sbin/syslog-ng. (Closes: #492363)
  * Added /dev/xconsole creation into restart and reload too. (Closes: #492585)
  * Added missing last paragraph to the README. (Closes: #477224)
  * Fixed documentation build problem. (Closes: #477223)

 -- SZALAY Attila <sasa@debian.org>  Sun, 27 Jul 2008 23:19:03 +0200

syslog-ng (2.0.9-3) unstable; urgency=low

  * Linked glib and libevtlog dinamically. (Closes: #482981)
    I do not agree with this change and I beleive that it will cause
    more problem than would have solved but I want that syslog-ng to go to
    lenny.
  * Fixed a possible probem in upgrading if /etc/syslog-ng is not exists.
  * Changed install root dir /usr

 -- SZALAY Attila <sasa@debian.org>  Thu, 24 Jul 2008 22:57:26 +0200

syslog-ng (2.0.9-2) unstable; urgency=low

  * Moved syslog-ng.persist file to /var/lib/syslog-ng. (Closes: #483369)

 -- SZALAY Attila <sasa@debian.org>  Wed, 23 Jul 2008 00:01:20 +0200

syslog-ng (2.0.9-1) unstable; urgency=low

  * New upstream version. (Closes: #397650, #447105)
  * Merged upstream patch to fix a possible segfault if optional file source
  is in use.
  * Added $remote_fs to LSB dependencies in init script to made it able to
  stop correctly. (Closes: #475456)

 -- SZALAY Attila <sasa@debian.org>  Sun, 20 Apr 2008 13:46:25 +0200

syslog-ng (2.0.8~1-1) unstable; urgency=low

  * New upstream version.
    - This version is not the official 2.0.8 but close to them.
  * Changed to git-based packaging to understand this and made it possible
  to team-maintaining syslog-ng.

 -- SZALAY Attila <sasa@debian.org>  Sun,  3 Feb 2008 15:57:09 +0100

syslog-ng (2.0.6-3) unstable; urgency=low

  * Fixed make distclean line to made it able to compile in buildd's.

 -- SZALAY Attila <sasa@debian.org>  Sun, 06 Jan 2008 22:55:33 +0100

syslog-ng (2.0.6-2) unstable; urgency=low

  * Raise standard version to 3.7.3
  * Do not ignore make distcleans errors.
  * Fixed a copy&paste bug in syslog-ng.conf.5 man page.
    (Closes: #414441) (The patch have been lost when I switch
    to version 2.0)
  * Changed syslog-ng reloading method in logrotate script to
    conform more init methods. (Closes: #417611)
  * Fixed the link to the reference guide. (Closes: #450582)
  * Added LDFLAGS="-Wl,--as-needed" to configure.in

 -- SZALAY Attila <sasa@debian.org>  Wed, 26 Dec 2007 01:06:08 +0100

syslog-ng (2.0.6-1) unstable; urgency=high

  * New upstream version.
  * This release addresses the following security issue:
    - A remote attacker can cause a denial of service (crash)
      via a crafted log message that is missing a whitespace
      at the end of the timestamp (CVE-2007-6437; Closes: #457334)

 -- SZALAY Attila <sasa@debian.org>  Sat, 22 Dec 2007 15:54:58 +0100

syslog-ng (2.0.5-3) unstable; urgency=low

  * Added watchfile.
  * Added anonymizer patch created by Micah Anderson. (Closes: #449569)

 -- SZALAY Attila <sasa@debian.org>  Thu, 08 Nov 2007 00:16:38 +0100


