=== debian/watch ===
version=3
http://www.balabit.hu/downloads/files/syslog-ng/sources/ .*/sources/([\d\.]+)/.*
