## syslog-ng 3.1.3

=== debian/changelog ===
syslog-ng (3.1.3-3build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:54:01 +0100

syslog-ng (3.1.3-3) unstable; urgency=high

  * Fix capability support for unix streams and files when dir_owner() and/or
    dir_group() is used (closes: #608791). Urgency set to high to fix this
    grave bug which can break logging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 01 Feb 2011 19:26:21 +0100

syslog-ng (3.1.3-2) unstable; urgency=high

  * Security fix on kFreeBSD archs, don't set 7777 rigths on logfiles
    (closes: #608491).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 01 Jan 2011 21:46:47 +0100

syslog-ng (3.1.3-1) unstable; urgency=medium

  * Medium urgency due to the number of serious bugs fixed.
  * New upstream version, fixing configuration version detection
    (closes: #603617).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 27 Nov 2010 12:23:55 +0100

syslog-ng (3.1.2-3) unstable; urgency=low

  * Apply upstream patch for config file version detection.
  * Correct debian/watch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 14 Nov 2010 07:53:04 +0100

syslog-ng (3.1.2-2) unstable; urgency=low

  * Don't set options on reload as it's not needed (closes: #599276).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 04 Nov 2010 18:24:36 +0100
