=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: quilt, debhelper (>= 5), libnet1-dev, libevtlog-dev, libssl-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev, libpcre3-dev, flex, bison, automake, autoconf, xsltproc, docbook-xsl, docbook-xml, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.1

Package: syslog-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
Recommends: logrotate
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon
Description: Next generation logging daemon
 Syslog-ng tries to fill the gaps original syslogd's were lacking:
   * powerful configurability
   * filtering based on message content
   * portability
   * better network forwarding
