## syslog-ng 3.1.4

=== debian/changelog ===
syslog-ng (3.1.4) syslogng31; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Sun, 02 Jan 2011 17:32:42 +0100

Local variables:
mode: debian-changelog
End:
