## syslog-ng 3.2.4

=== debian/changelog ===
syslog-ng (3.2.4-1ubuntu1) oneiric; urgency=low

  * Build-depend on libdbi-dev rather than libdbi0-dev (LP: #625882).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 10:49:08 +0100

syslog-ng (3.2.4-1) unstable; urgency=high

  * New upstream release, fixing infinite loop via PCRE and global. No CVE
    number yet, Vigil@nce id is 10648.
  * Remove all patches, they were applied upstream.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 16 May 2011 22:02:46 +0200
