=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: syslog-ng
 Section: admin
 Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: quilt, debhelper (>= 5), libnet1-dev, libevtlog-dev, libssl-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev, libpcre3-dev, flex, bison, automake, autoconf, xsltproc, docbook-xsl, docbook-xml, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: quilt, debhelper (>= 5), libnet1-dev, libevtlog-dev, libssl-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi-dev, libpcre3-dev, flex, bison, automake, autoconf, autoconf-archive, xsltproc, docbook-xsl, docbook-xml, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: syslog-ng
 Architecture: any
