## syslog-ng 3.3.1.dfsg

=== debian/changelog ===
syslog-ng (3.3.1.dfsg-1ubuntu2) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 23:50:54 +0000

syslog-ng (3.3.1.dfsg-1ubuntu1) precise; urgency=low

  * debian/control: remove libsystemd-daemon-dev build-depends
  * debian/rules: remove --with-systemdsystemunitdir from
    override_dh_auto_configure.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 15 Nov 2011 08:48:02 -0600

syslog-ng (3.3.1.dfsg-1) unstable; urgency=low

  * New upstream release with important fixes from upstream git tree with
    non-free manpages removed.
  * Drop syslog-ng.conf(5) (closes: #496521).
  * syslog-ng(8) is generated, and does not mention -Q anymore
    (closes: #616069).
  * Supports CAP_SYSLOG on recent kernels (closes: #630172).
  * Does not use g_timeout_add_seconds anymore (closes: #609154).

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Update debian/copyright to DEP-5 format.
  * Simplified the logrotate file by merging identical entries.
  * Include local configuration files from /etc/syslog-ng/conf.d/ (Closes:
    #609050).
  * Update syslog-ng.conf to be fully 3.3 compliant.
  * Compress both source and binaries (except the syslog-ng meta
    package) with xz, instead of gzip.
  * Use dpkg triggers to restart syslog-ng when appropriate.
  * Include DFSG-free manual pages for all binaries.
  * Build with Hardening enabled.
  * Mention syslog(3) in /etc/default/syslog-ng, instead of
    <linux/kernel.h> (Closes: #608605)
  * Support 'status' in the init script.
    Patch from Peter Eisentraut <petere@debian.org> (Closes: #644458)
  * Build-Depend on libevtlog-dev (>= 0.2.12-5~) for correct shlibs.
  * Use [linux-any] in Build-Depends instead of hardcoded links.
    (Closes: #634715)
  * Use $SYSLOGNG_OPTS in the init script when reloading syslog-ng.
    (Closes: #589081)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 11 Oct 2011 14:30:48 +0200
