## syslog-ng 3.3.4.dfsg

=== debian/changelog ===
syslog-ng (3.3.4.dfsg-2ubuntu1) precise; urgency=low

  * Merge with Debian Testing (LP: #950799). Remaining Ubuntu changes:
    [ Colin Watson <cjwatson@ubuntu.com> ]
    + Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed
      until after Ubuntu 12.04 LTS.
    [ Serge Hallyn <serge.hallyn@ubuntu.com> ]
    + debian/control: remove libsystemd-daemon-dev build-depends
    + debian/rules: remove --with-systemdsystemunitdir from
      override_dh_auto_configure.

 -- Gergely Nagy <algernon@balabit.hu>  Fri, 09 Mar 2012 13:34:28 +0100

syslog-ng (3.3.4.dfsg-2) unstable; urgency=medium

  * Get important bugfixes from upstream git tree.
  * Correct short description of -dbg package (closes: #659119).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 16 Feb 2012 00:52:01 +0100

syslog-ng (3.3.4.dfsg-1) unstable; urgency=low

  * New upstream release:
    - remove backported patches as this release contains them,
    - fix FTBFS on Hurd, patch from Svante Signell <svante.signell@telia.com>
      (closes: #648987).
  * Add dfsg target to make the source DFSG compliant.
  * Use debhelper compatibility level 9 for hardening flags to be effective
    (closes: #655163).
  * Make the package multiarch.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Introduced a syslog-ng-dbg package.
  * Init script updates:
    + Silence mknod errors, they're not interesting, and adds noise on
    kFreeBSD.
    + Use set -e.
    + Use s-s-d's --oknodo options instead of checking the existence of a
    pidfile ourselves.
  * Refresh debian/copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 01 Feb 2012 14:21:11 +0000
