=== debian/control ===
--- 
+++ 
@@ -32,10 +32,34 @@
  including all available plugins. It can be safely removed, if only
  parts of syslog-ng need to be installed.
 
-Package: libsyslog-ng-3.3.1
+Package: syslog-ng-dbg
+Pre-Depends: dpkg (>= 1.15.6)
+Architecture: any
+Multi-Arch: same
+Section: debug
+Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
+Description: Next generation system logging daemon (debug symbols)
+ syslog-ng is an enhanced syslog daemon, supporting, amongst others:
+  * Powerful configurability, while still being readable
+  * Filtering on any part of the syslog message
+  * Support for both legacy BSD and the new syslog protocol
+  * Wide range of source and destination drivers, including TCP
+    (plain, or over SSL/TLS), UDP, SQL, MongoDB
+  * Also supports fine-grained output format control
+  * Multi-threaded operation
+ .
+ The wide range of plugins make syslog-ng able to perform well in
+ every situation, ranging from enterprise-class centralised
+ deployments, through personal computers to ad-hoc connected networks.
+ .
+ This package contains debug symbols for the whole of syslog-ng,
+ including the modules.
+
+Package: libsyslog-ng-3.3.4
+Pre-Depends: dpkg (>= 1.15.6), ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Next generation system logging daemon (private library)
  This package contains a semi-private library, used by both syslog-ng
@@ -44,10 +68,10 @@
  It should not be used by anything else but syslog-ng and its plugins.
 
 Package: libsyslog-ng-dev
+Pre-Depends: dpkg (>= 1.15.6)
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: libsyslog-ng-3.3.1 (= ${binary:Version}),
+Depends: libsyslog-ng-3.3.4 (= ${binary:Version}),
  ${misc:Depends}, ${perl:Depends},
  pkg-config, perl, flex, bison, libevtlog-dev (>= 0.2.12), libglib2.0-dev
 Description: Next generation system logging daemon (development files)
@@ -56,8 +80,9 @@
  logging daemon.
 
 Package: syslog-ng-core
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
 Recommends: logrotate
 Suggests: syslog-ng-mod-sql, syslog-ng-mod-mongodb, syslog-ng-mod-json
@@ -83,8 +108,9 @@
  required for a standard installation.
 
 Package: syslog-ng-mod-json
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Next generation system logging daemon (JSON plugin)
  syslog-ng is an enhanced syslog daemon, supporting, amongst others:
@@ -105,8 +131,9 @@
  to JSON.
 
 Package: syslog-ng-mod-mongodb
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: mongodb-server
 Description: Next generation system logging daemon (MongoDB plugin)
@@ -127,8 +154,9 @@
  one to log system messages to MongoDB.
 
 Package: syslog-ng-mod-sql
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
 Description: Next generation system logging daemon (SQL plugin)
