=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	EXTRA_CONFIGURE_OPTS += --enable-debug
 endif
 
-export DH_OPTIONS += -O-Bdebian/build-tree
+export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg
 
 include /usr/share/hardening-includes/hardening.make
 
@@ -37,6 +37,12 @@
 # override.
 help:
 	dh $@
+
+dfsg:
+	rm -f doc/man/loggen.1.in doc/man/pdbtool.1.in \
+	doc/man/syslog-ng-ctl.1.in doc/man/syslog-ng.8.in \
+	doc/man/syslog-ng.conf.5.in
+	cat debian/dfsg/remove_non_free_refs.patch | patch -p1
 
 ##
 #* Overrides for dh_auto*
@@ -159,9 +165,6 @@
 
 override_dh_installlogcheck:
 	dh_installlogcheck --name syslog-ng
-	for f in $$(find debian/syslog-ng-core/etc/logcheck -type f -name 'syslog-ng-core'); do \
-		mv $$f $$(dirname $$f)/syslog-ng; \
-	done
 
 # dh_makeshlibs wants to be clever and treat plugins as shared libs.
 # Slap it in the face, and tell it not to.
@@ -194,4 +197,5 @@
 
 # And for the rest, there is debhelper!
 %:
+	[ ! -f doc/man/loggen.1.in ] || (echo "Not DFSG free!"; exit 1;)
 	dh $@ --with autoreconf
